#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>

int litentier(void) {
	unsigned char buf[64];
	int i;
	printf("%p\n", buf);
	printf("> ");
	fflush(stdout);
	gets(buf);
	i=atoi(buf);
	return i;
}

int main(int argc, char *argv[]) {
	while (1) {
		int i;
		i = litentier();
		printf("ok %d\n", i);
	}
}
